Subject: Re: [PATCH net-next 0/7] ynl: add ignore-index flag for indexed-array

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Oct 2025 18:45:17 -0700

On Wed, 22 Oct 2025 18:26:53 +0000 Asbjørn Sloth Tønnesen wrote:
> This patchset adds a way to mark if an indedex array is just an
> array, and the index is uninteresting, as previously discussed[1].
> 
> Which is the case in most of the indexed-arrays in the current specs.
> 
> As the name indexed-array kinda implies that the index is interesting,
> then I am using `ignore-index` to mark if the index is unused.
> 
> This adds some noise to YNL, and as it's only few indexed-arrays which
> actually use the index, then if we can come up with some good naming,
> it may be better to reverse it so it's the default behaviour.

C code already does this, right? We just collect the attributes
completely ignoring the index. So why do we need to extend the
spec.

Have you found any case where the index matters and can be
non-contiguous (other than the known TC kerfuffle).

FWIW another concept is what TypeValue does.
"Inject" the index into the child nest as an extra member.
Most flexible but also prolly a PITA for user space to init those
for requests.